# Interface methods for submodule: ProcessObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ProcessObject
class ProcessObjectProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetInputNames(self):
		""""""
		...

	def GetRequiredInputNames(self):
		""""""
		...

	def GetInputs(self):
		""""""
		...

	def HasInput(self, key: str) -> bool:
		""""""
		...

	def GetNumberOfInputs(self) -> int:
		""""""
		...

	def GetNumberOfOutputs(self) -> int:
		""""""
		...

	def GetOutputNames(self):
		""""""
		...

	def GetOutputs(self):
		""""""
		...

	def HasOutput(self, key: str) -> bool:
		""""""
		...

	def GetIndexedInputs(self):
		""""""
		...

	def GetNumberOfIndexedInputs(self) -> int:
		""""""
		...

	def GetNumberOfValidRequiredInputs(self) -> int:
		""""""
		...

	def GetIndexedOutputs(self):
		""""""
		...

	def GetNumberOfIndexedOutputs(self) -> int:
		""""""
		...

	@overload
	def MakeOutput(self, idx: int):
		""""""
		...

	@overload
	def MakeOutput(self, arg0: str):
		""""""
		...

	def SetAbortGenerateData(self, _arg: bool) -> None:
		""""""
		...

	def GetAbortGenerateData(self) -> bool:
		""""""
		...

	def AbortGenerateDataOn(self) -> None:
		""""""
		...

	def AbortGenerateDataOff(self) -> None:
		""""""
		...

	def GetProgress(self) -> float:
		""""""
		...

	def UpdateProgress(self, progress: float) -> None:
		""""""
		...

	def IncrementProgress(self, increment: float) -> None:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def UpdateLargestPossibleRegion(self) -> None:
		""""""
		...

	def UpdateOutputInformation(self) -> None:
		""""""
		...

	def PropagateRequestedRegion(self, output) -> None:
		""""""
		...

	def UpdateOutputData(self, output) -> None:
		""""""
		...

	def EnlargeOutputRequestedRegion(self, arg0) -> None:
		""""""
		...

	def ResetPipeline(self) -> None:
		""""""
		...

	def SetReleaseDataFlag(self, val: bool) -> None:
		""""""
		...

	def GetReleaseDataFlag(self) -> bool:
		""""""
		...

	def ReleaseDataFlagOn(self) -> None:
		""""""
		...

	def ReleaseDataFlagOff(self) -> None:
		""""""
		...

	def SetReleaseDataBeforeUpdateFlag(self, _arg: bool) -> None:
		""""""
		...

	def GetReleaseDataBeforeUpdateFlag(self) -> bool:
		""""""
		...

	def ReleaseDataBeforeUpdateFlagOn(self) -> None:
		""""""
		...

	def ReleaseDataBeforeUpdateFlagOff(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfWorkUnits(self) -> int:
		""""""
		...

	def GetMultiThreader(self):
		""""""
		...

	def SetMultiThreader(self, threader) -> None:
		""""""
		...

	def PrepareOutputs(self) -> None:
		""""""
		...

